# API Reference

### How it works

Simply connect your stream of bids to our Solver Boost endpoint. Using our network of trusted partners, we determine the value of back-running your fulfillment bid and stream back a **guaranteed** recovery value for your proposed solution. Use this value in your bidding strategy to give you an **edge** over other auction participants.

When you win the auction and submit your signed transaction, we will bundle it with the payout we previously guaranteed, delivering the recovery value to your specific `recoveryAddress` **before** your settlement executes on-chain.

#### Example request:

```json
{
    "id": 1,
    "jsonrpc": "2.0",
    "method": "eth_requestSolverBoost",
    "params": [
        {
            "hash": "0x5bd..."             // String, tx hash
            "from": "0xd8d...",            // String, tx from address
            "to": "0x220...",              // String, tx to address
            "data": "0xABC",               // String, tx data
            "nonce": "0xA"                 // String, tx nonce
            "block": "0x164E66C",          // String, a hex-encoded block number for which this settlement is valid.
            "recoveryAddress": "0x123..."  // String, your Solver Boost recovery address
        }
    ]
}
```

#### Example response:

```json
{
    "id": 1,
    "jsonrpc": "2.0",
    "result": {
        "hash": "0x5bd...",             // String, tx hash
        "value": "3693005285544199000"  // String, recovery in WEI guaranteed for this bid
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blinklabs.xyz/blink/get-started/blink-solver-boost/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
